/oauth2/register
const url = 'https://gymgym.club/api/auth/oauth2/register';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"redirect_uris":["example"],"scope":"example","client_name":"example","client_uri":"example","logo_uri":"example","contacts":["example"],"tos_uri":"example","policy_uri":"example","software_id":"example","software_version":"example","software_statement":"example","post_logout_redirect_uris":["example"],"backchannel_logout_uri":"example","backchannel_logout_session_required":true,"token_endpoint_auth_method":"example","jwks":{"keys":[{"additionalProperty":"example"}]},"jwks_uri":"example","grant_types":["example"],"response_types":["code"],"application_type":"web","subject_type":"public","dpop_bound_access_tokens":true,"resources":["example"],"skip_consent":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/oauth2/register \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "redirect_uris": [ "example" ], "scope": "example", "client_name": "example", "client_uri": "example", "logo_uri": "example", "contacts": [ "example" ], "tos_uri": "example", "policy_uri": "example", "software_id": "example", "software_version": "example", "software_statement": "example", "post_logout_redirect_uris": [ "example" ], "backchannel_logout_uri": "example", "backchannel_logout_session_required": true, "token_endpoint_auth_method": "example", "jwks": { "keys": [ { "additionalProperty": "example" } ] }, "jwks_uri": "example", "grant_types": [ "example" ], "response_types": [ "code" ], "application_type": "web", "subject_type": "public", "dpop_bound_access_tokens": true, "resources": [ "example" ], "skip_consent": "example" }'Register an OAuth2 application
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
object
object
Responses
Section titled “Responses”OAuth2 application registered successfully
object
Unique identifier for the client
Secret key for the client
Time the client secret will expire. If 0, the client secret will never expire.
Space-separated scopes allowed by the client
ID of the user who registered the client, null if registered anonymously
Creation timestamp of this client
Name of the OAuth2 application
Name of the OAuth2 application
Icon URL for the application
List representing ways to contact people responsible for this client, typically email addresses
Client’s terms of service uri
Client’s policy uri
Unique identifier assigned by the developer to help in the dynamic registration process
Version identifier for the software_id
JWT containing metadata values about the client software as claims
List of allowed redirect uris
List of allowed logout redirect uris
RP URL to receive signed Logout Tokens when the end-user’s OP session terminates
Whether the RP requires a sid claim in every Logout Token
Requested authentication method for the token endpoint
Grant types the client may use at the token endpoint
Response types the client may use at the authorization endpoint
OIDC application type used to classify redirect URI policy
Final resource identifiers linked to the registered client
Whether the client is disabled
Example
{ "response_types": [ "code" ], "application_type": "web"}Bad Request. Usually due to missing parameters, or invalid parameters.
object
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
object
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
object
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
object
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
object
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
object
Examplegenerated
{ "message": "example"}